package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.weapons.MagicStaff;
import org.project.item.weapons.Weapon;


public class Wizard extends Player {

    protected String name;
    Weapon weapon;
    private static final int maxHP = 150;
    private static final int maxMP = 85;

    public Wizard(String name){
        Weapon WizardWeapon = new MagicStaff();
        super(name, maxHP, maxMP, WizardWeapon);
    }

    @Override
    public void lightAttack(Entity target) {
        target.takeDamage(16);
    }


    @Override
    public void specialAbility(Entity target) {
        target.takeDamage(32); // cast spell
        this.mp -= 28;
        heal(15);
    }
}
